Bug 1030226 - [Doc] Quota: Corrections and suggestions for "12.5. Setting Timeout"
[Doc] Quota: Corrections and suggestions for "12.5. Setting Timeout"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bhavana
Sudhir D
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 03:21 EST by Gowrishankar Rajaiyan
Modified: 2013-12-09 11:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 11:48:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2013-11-14 03:21:01 EST
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.1/html/Administration_Guide/ch12s05.html


Should inform the default soft-timeout and hard-timeout which are 60 seconds and 2 seconds respectively. (please confirm with dev)


...
# gluster volume quota test-volume soft-timeout 1min
features.soft-timeout on volume test-volume set

should be

# gluster volume quota test-volume soft-timeout 1min
volume quota : success
...


...
# gluster volume quota test-volume hard-timeout 30s
features.hard-timeout on volume test-volume set

should be

# gluster volume quota test-volume hard-timeout 30s
volume quota : success
...


...
As the margin of error for disk usage is proportional to the workload of the applications running on the volume, ensure that you set the hard and soft timeout taking the workload into account.

to

As the margin of error for disk usage is proportional to the workload of the applications running on the volume, ensure that you set the hard-timeout and soft-timeout taking the workload into account.
...
Comment 1 Bhavana 2013-11-22 01:19:26 EST
Updated the doc as suggested:

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.1/html/Administration_Guide/ch12s05.html

Based on the discussion with Kritika, the default hard timeout is 5 seconds. Updated the same.
Comment 2 Gowrishankar Rajaiyan 2013-11-22 03:42:14 EST
Looks good. Thanks. Verified.

Note You need to log in before you can comment on or make changes to this bug.